Bug 682586 - OGRE*.pc has relative libdir path
Summary: OGRE*.pc has relative libdir path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ogre
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 682435
TreeView+ depends on / blocked
 
Reported: 2011-03-06 22:34 UTC by Bruno Wolff III
Modified: 2011-03-11 06:08 UTC (History)
3 users (show)

Fixed In Version: ogre-1.7.2-12.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 06:08:00 UTC


Attachments (Terms of Use)

Description Bruno Wolff III 2011-03-06 22:34:43 UTC
Description of problem:
The various OGRE*.pc files have a relative path "lib" for libdir that causes packages using libtool to barf, as libtool seems to expect an absolute path.

This behavior is specifically requested by a Fedora patch. I am asking Spot for clarification, as I think he made the patch.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Rebuild ember
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2011-03-07 00:31:20 UTC
ogre-1.7.2-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ogre-1.7.2-12.fc15

Comment 2 Fedora Update System 2011-03-07 01:30:58 UTC
ogre-1.7.2-12.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ogre'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ogre-1.7.2-12.fc15

Comment 3 Fedora Update System 2011-03-11 06:07:55 UTC
ogre-1.7.2-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.